public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrey Grozin" <grozin@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/qpdfview/
Date: Thu,  9 May 2024 11:44:40 +0000 (UTC)	[thread overview]
Message-ID: <1715255039.c90300f2eb3f4388fe6bfd95727207e9088cdbbd.grozin@gentoo> (raw)

commit:     c90300f2eb3f4388fe6bfd95727207e9088cdbbd
Author:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Thu May  9 11:43:05 2024 +0000
Commit:     Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Thu May  9 11:43:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c90300f2

app-text/qpdfview: bump to rev 2161

Bug: https://bugs.gentoo.org/925734
Signed-off-by: Andrey Grozin <grozin <AT> gentoo.org>

 app-text/qpdfview/Manifest               |  1 +
 app-text/qpdfview/qpdfview-0.5_p1.ebuild | 90 ++++++++++++++++++++++++++++++++
 2 files changed, 91 insertions(+)

diff --git a/app-text/qpdfview/Manifest b/app-text/qpdfview/Manifest
index 75b9a6a5e99d..c9267bfaca12 100644
--- a/app-text/qpdfview/Manifest
+++ b/app-text/qpdfview/Manifest
@@ -1 +1,2 @@
 DIST qpdfview-0.5.tar.gz 925408 BLAKE2B 8ce8ff82893c90012ea1b35a582e87783da87e6eba3d4a10e78fe7810c269908ed1541cf40b1eb17fc474254131cebbc4832a3f46a2016262c485d48e222791b SHA512 1b6b479bb42f4568c21b5f6cb0c552c4323739ba9fe46cea80cc199f48b0b49a278e0a2fb0d21f83bafb467e43dd37352b99ef41795d140220bb82d704e03926
+DIST qpdfview-0.5_p1.tar.gz 922833 BLAKE2B 99d5e818b7c5dd5e583072043be6a282da64277f695cf4c0d38ad339dbdbcb100dcbbf161657f3622a324f691275beb6338c07fe2bbd62e1db896ec759ef162c SHA512 65720f6642b23a23b2d05b38334ce95424e69985b69223d978d4fd59b565d59a37eb43138c2f17fd37d8139b4cc223d5ab32dd18c62f2524792f42b44ba52189

diff --git a/app-text/qpdfview/qpdfview-0.5_p1.ebuild b/app-text/qpdfview/qpdfview-0.5_p1.ebuild
new file mode 100644
index 000000000000..caf4f6353347
--- /dev/null
+++ b/app-text/qpdfview/qpdfview-0.5_p1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PLOCALES="af ast az be ber bg bs ca cs da de el en_AU en_GB eo es eu fa fi fr gl he hi hr hu id it ja kk ko ku ky lt lv ms my nb nds oc pl pt pt_BR ro ru rue sk sr sv th tr ug uk uz vi zgh zh_CN zh_TW"
+inherit plocale qmake-utils xdg
+
+DESCRIPTION="A tabbed document viewer"
+HOMEPAGE="https://launchpad.net/qpdfview"
+# revision 2161
+SRC_URI="https://dev.gentoo.org/~grozin/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+IUSE="cups +dbus djvu fitz +pdf postscript +sqlite +svg synctex"
+
+REQUIRED_USE="?? ( fitz pdf )"
+
+BDEPEND="
+	dev-qt/linguist-tools:5
+	virtual/pkgconfig
+"
+RDEPEND="
+	cups? ( net-print/cups )
+	djvu? ( app-text/djvu )
+	fitz? ( >=app-text/mupdf-1.7:= )
+	postscript? ( app-text/libspectre )
+	dev-qt/qtconcurrent:5
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtprintsupport:5[cups?]
+	dev-qt/qtwidgets:5
+	dbus? ( dev-qt/qtdbus:5 )
+	pdf? ( >=app-text/poppler-0.35[qt5]
+		dev-qt/qtxml:5 )
+	sqlite? ( dev-qt/qtsql:5[sqlite] )
+	svg? ( dev-qt/qtsvg:5 )
+	!svg? ( virtual/freedesktop-icon-theme )
+	synctex? ( app-text/texlive-core )"
+DEPEND="${RDEPEND}"
+
+DOCS=( CHANGES CONTRIBUTORS README TODO )
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-0.5-poppler-23.08.0-cxx17.patch
+)
+
+src_prepare() {
+	default
+
+	local mylrelease="$(qt5_get_bindir)"/lrelease
+	p_locale() {
+		"${mylrelease}" "translations/${PN}_${1}.ts" || die "preparing ${1} locale failed"
+	}
+
+	rm_help() {
+		rm -f "help/help_${1}.html" || die "removing ${1} help file failed"
+	}
+
+	plocale_find_changes translations ${PN}_ .ts
+	plocale_for_each_locale p_locale
+	plocale_for_each_disabled_locale rm_help
+
+	# adapt for prefix
+	sed -i -e "s:/usr:${EPREFIX}/usr:g" qpdfview.pri || die
+}
+
+src_configure() {
+	local myconfig=() i=
+	for i in cups dbus djvu pdf svg synctex; do
+		use ${i} || myconfig+=(without_${i})
+	done
+	use fitz && myconfig+=(with_fitz)
+	use postscript || myconfig+=(without_ps)
+	use sqlite || myconfig+=(without_sql)
+
+	local myqmakeargs=(
+		qpdfview.pro
+		CONFIG+="${myconfig[*]}"
+		PLUGIN_INSTALL_PATH="${EPREFIX}/usr/$(get_libdir)/${PN}"
+	)
+	eqmake5 "${myqmakeargs[@]}"
+}
+
+src_install() {
+	emake INSTALL_ROOT="${D}" install
+	einstalldocs
+}


             reply	other threads:[~2024-05-09 11:44 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-05-09 11:44 Andrey Grozin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-02-26 13:40 [gentoo-commits] repo/gentoo:master commit in: app-text/qpdfview/ Andrey Grozin
2023-02-01 13:48 Andrey Grozin
2023-02-01 13:45 Andrey Grozin
2022-11-24  1:12 Sam James
2022-05-23  8:49 Andrey Grozin
2021-12-27 11:09 Andrey Grozin
2021-12-24  7:23 Agostino Sarubbo
2021-12-24  7:07 Agostino Sarubbo
2021-11-23  1:25 Yixun Lan
2021-09-09  4:22 Sam James
2021-01-10 18:39 Sam James
2020-10-30 15:36 Andrey Grozin
2020-01-29 18:39 Andreas Sturmlechner
2020-01-20 11:51 Agostino Sarubbo
2020-01-18 23:15 Thomas Deutschmann
2019-12-25 20:46 Andreas Sturmlechner
2019-12-25 20:46 Andreas Sturmlechner
2019-11-03 10:46 Sergei Trofimovich
2019-04-04 12:26 Andrey Grozin
2019-04-04 12:25 Andrey Grozin
2018-10-06 14:40 Michael Palimaka
2018-09-16  6:00 Andrey Grozin
2018-09-16  5:58 Andrey Grozin
2018-05-24  8:19 Andrey Grozin
2017-11-07 13:32 Andrey Grozin
2017-09-23  2:22 Michael Palimaka
2017-04-30 16:47 Andrey Grozin
2017-02-26 23:04 Michael Weber
2016-10-28 13:45 Michael Palimaka
2016-10-28 13:45 Michael Palimaka
2016-08-11 15:16 Michael Palimaka
2016-05-08 19:33 Davide Pesavento
2015-10-01 14:21 Michael Palimaka
2015-08-11 10:29 Michael Weber

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1715255039.c90300f2eb3f4388fe6bfd95727207e9088cdbbd.grozin@gentoo \
    --to=grozin@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox